Bug 22311 - Add a SysPref to allow adding content to the #moresearches div in the opac
Summary: Add a SysPref to allow adding content to the #moresearches div in the opac
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-11 20:50 UTC by Joy Nelson
Modified: 2019-04-26 13:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
screenshot of opac showing the area needed to be responsive (280.35 KB, image/png)
2019-02-11 20:50 UTC, Joy Nelson
Details
Bug 22311 - Add a SysPref to allow adding content to the #moresearches div in the opac (4.96 KB, patch)
2019-02-22 13:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22311 - Add a SysPref to allow adding content to the #moresearches div in the opac (5.02 KB, patch)
2019-03-13 17:15 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22311: Add a SysPref to allow adding content to the #moresearches div in the opac (5.07 KB, patch)
2019-04-08 23:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2019-02-11 20:50:46 UTC
Created attachment 85009 [details]
screenshot of opac showing the area needed to be responsive

When links are added to the #moresearches area of the OPAC, the opac fails to be responsive when resized.
Comment 1 Katrin Fischer 2019-02-11 21:20:25 UTC
Hi Joy, can you share how the links were added? Maybe there is something there that could be improved.
Comment 2 Owen Leonard 2019-02-12 00:53:16 UTC
I think this may be a factor of this OPAC's customization. I'd be happy to take a look if the URL can be shared.
Comment 3 Nick Clemens 2019-02-12 16:16:40 UTC
Owen did help fix the jQuery addition.

The idea of this development would be to match the syspref 'OPACSearchForTitleIn' but for populating the search headers (#moresearches) on the opac page to allow staff to easily add links without jQuery
Comment 4 Kyle M Hall 2019-02-22 13:08:56 UTC
Created attachment 85524 [details] [review]
Bug 22311 - Add a SysPref to allow adding content to the #moresearches div in the opac

The idea of this development would be to match the syspref 'OPACSearchForTitleIn' but
for populating the search headers (#moresearches) on the opac page to allow staff to
easily add links without jQuery.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Update the new OpacMoreSearches system preference to include the following line:
    <li><a href="https://duckduckgo.com/">Duck Duck Go</a></li>
4) Browse to the OPAC
5) Note your new link displays in the "moresearches" area of the OPAC.
Comment 5 Liz Rea 2019-03-13 17:15:46 UTC
Created attachment 86581 [details] [review]
Bug 22311 - Add a SysPref to allow adding content to the #moresearches div in the opac

The idea of this development would be to match the syspref 'OPACSearchForTitleIn' but
for populating the search headers (#moresearches) on the opac page to allow staff to
easily add links without jQuery.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Update the new OpacMoreSearches system preference to include the following line:
    <li><a href="https://duckduckgo.com/">Duck Duck Go</a></li>
4) Browse to the OPAC
5) Note your new link displays in the "moresearches" area of the OPAC.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 6 Katrin Fischer 2019-04-08 23:09:52 UTC
Created attachment 87569 [details] [review]
Bug 22311: Add a SysPref to allow adding content to the #moresearches div in the opac

The idea of this development would be to match the syspref 'OPACSearchForTitleIn' but
for populating the search headers (#moresearches) on the opac page to allow staff to
easily add links without jQuery.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Update the new OpacMoreSearches system preference to include the following line:
    <li><a href="https://duckduckgo.com/">Duck Duck Go</a></li>
4) Browse to the OPAC
5) Note your new link displays in the "moresearches" area of the OPAC.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2019-04-17 12:28:19 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-26 13:21:20 UTC
Enhancement will not be backported to 18.11.x series.